<?php

$GLOBALS[__FILE__] = array();

function bdd_connect(&$error, $filename=NULL, $mode=0666){
    if(is_null($filename)) $filename = dirname(__FILE__).'/../bdd/bdd.sqlite';
    if(isset($GLOBALS[__FILE__][$filename])){
        return $GLOBALS[__FILE__][$filename];
    }
    $error = NULL;
    $db = new PDO("sqlite:$filename");
    //if($error){
    //    $error = "Cannot open database: $error";
    //    return NULL;
    //}
    $q = "CREATE TABLE "/*IF NOT EXISTS */."forms (
        id      INTEGER PRIMARY KEY AUTOINCREMENT,
        date    INTEGER,
        valid   INTEGER
    );";
    if($db->exec($q) === false){
//         $error = $db->errorInfo();
//         $error = "SQL Error ($q): {$error[2]}";
//         return NULL;
    }
    $q = "CREATE TABLE "/*IF NOT EXISTS */."form_values (
        id      INTEGER PRIMARY KEY AUTOINCREMENT,
        form    INTEGER,
        kname   STRING,
        value   STRING,
        desc    STRING
    );";
    if($db->exec($q) === false){
//         $error = $db->errorInfo();
//         $error = "SQL Error ($q): {$error[2]}";
//         return NULL;
    }
    $q = "CREATE TABLE "/*IF NOT EXISTS */."widget_sets (
        id      INTEGER PRIMARY KEY AUTOINCREMENT,
        wtype   STRING,
        wname   STRING,
        value   STRING,
        desc    STRING
    );";
    if($db->exec($q) === false){
//         $error = $db->errorInfo();
//         $error = "SQL Error ($q): {$error[2]}";
//         return NULL;
    }
    $GLOBALS[__FILE__][$filename] = $db;
    return $db;
}

?>