<?php

include_once(dirname(__FILE__).'/bdd-connect.php');

function bdd_insert($form_id, $key, $val, &$error){
    $error = NULL;
    $db = bdd_connect($error);
    if($error) return;
    $q = sprintf("DELETE FROM form_values WHERE form=%d AND kname=%s;",
        $form_id,
        $db->quote($key));
    if($db->exec($q) === false){
        $error = $db->errorInfo();
        $error = "SQL Error ($q): {$error[2]}";
    }
    $q = sprintf("INSERT OR REPLACE INTO form_values (form, kname, value)
        VALUES (%d, %s, %s);",
        $form_id,
        $db->quote($key),
        $db->quote($val));
    if($db->exec($q) === false){
        $error = $db->errorInfo();
        $error = "SQL Error ($q): {$error[2]}";
    }
}

?>