<?php

include_once(dirname(__FILE__).'/bdd-connect.php');

function bdd_widget_get_elements($wtype, $wname, &$error){
    $error = NULL;
    $db = bdd_connect($error);
    if($error) return;
    $q = $db->query(sprintf(
        "SELECT value, desc FROM widget_sets WHERE wtype=%s AND wname=%s;",
        $db->quote($wtype),
        $db->quote($wname)));
    //var_export($q);
    if((int) $db->errorCode() || $q === false){
        $error = $db->errorInfo();
        $error = "SQL Error ({$q->queryString}): {$error[2]}";
        return;
    }
    $res = array();
    while($line = $q->fetch()){
        $res[] = array(
            'value' => $line['value'],
            'desc'  => $line['desc']);
    }
    return $res;
}

?>