<?php

include_once(dirname(__FILE__).'/widget.php');

class WidgetEntry extends Widget {

    // Constructor
    function WidgetEntry($name, $htmlid=NULL, $form_id=NULL, $dbid=NULL) {
        parent::Widget($name, $htmlid, $form_id, $dbid);
    }

    // Return HTML code
    function htmlCode() {
        $res = '<input type="text"';
        if($this->htmlid){
            $res .= ' id="'.htmlspecialchars($this->htmlid).'"';
        }
        $res .= ' name="'.htmlspecialchars($this->name).'"';
        if($this->defaultValue){
            $res .= ' value="'.htmlspecialchars($this->defaultValue).'"';
        }
        $res .= ">";
        return $res;
    }

    // Validate GET/POST variable
    // Return NULL if validation fails. In that case it set
    // $this->validationError to a message explaining why it failed.
    // On success it returns the converted data and $this->validationError is
    // cleared to NULL
    function validate($data){
        $this->validationError = NULL;
        return $data;
    }
}

?>