<?php

include_once(dirname(__FILE__).'/widget-entry.php');

class WidgetLongEntry extends WidgetEntry {

    // Constructor
    function WidgetLongEntry($name, $htmlid=NULL, $form_id=NULL, $dbid=NULL) {
        parent::WidgetEntry($name, $htmlid, $form_id, $dbid);
    }

    // Return HTML code
    function htmlCode() {
        $res = '<textarea';
        if($this->htmlid){
            $res .= ' id="'.htmlspecialchars($this->htmlid).'"';
        }
        $res .= ' name="'.htmlspecialchars($this->name).'">';
        if($this->defaultValue){
            $res .= htmlspecialchars($this->defaultValue);
        }
        $res .= "</textarea>";
        return $res;
    }
}

?>