<?php

include_once(dirname(__FILE__).'/bdd-connect.php');

function form_id(&$error, &$warning, $valid=0){
    $error = NULL;
    $db = bdd_connect($error);
    if($error) return;
    $q = sprintf("INSERT INTO forms (date, valid) VALUES (%d, %d);",
        time(), $valid);
    if($db->exec($q) === false){
        $error = $db->errorInfo();
        $error = "SQL Error ($q): {$error[2]}";
        return;
    }
    $q = sprintf("DELETE FROM forms WHERE date <= %d AND id NOT IN (SELECT DISTINCT form FROM form_values);", time()-24*3600);
    if($db->exec($q) === false){
        $warning = $db->errorInfo();
        $warning = "SQL Error ($q): {$warning[2]}";
    }
    return $db->lastInsertId();
}

?>